﻿using HeuristicLab.PluginInfrastructure;

namespace HeuristicLab.Metal {
  [Plugin("HeuristicLab.Metal", "Integration of jMetal 4.5 in HeuristicLab", "4.5.0.0")]
  [PluginFile("HeuristicLab.Metal-4.5.dll", PluginFileType.Assembly)]
  [PluginFile("jmetal-4.5.dll", PluginFileType.Assembly)]
  [PluginFile("jmetal-4.5-license.txt", PluginFileType.License)]
  [PluginFile("ikvm-license.txt", PluginFileType.License)]
  [PluginFile("OpenJDK-license.txt", PluginFileType.License)]
  [PluginFile("ikvm-native-win32-x64.dll", PluginFileType.NativeDll)]
  [PluginFile("IKVM.OpenJDK.Corba.dll", PluginFileType.Assembly)]
  [PluginFile("IKVM.OpenJDK.Core.dll", PluginFileType.Assembly)]
  [PluginFile("IKVM.OpenJDK.Management.dll", PluginFileType.Assembly)]
  [PluginFile("IKVM.OpenJDK.Naming.dll", PluginFileType.Assembly)]
  [PluginFile("IKVM.OpenJDK.Remoting.dll", PluginFileType.Assembly)]
  [PluginFile("IKVM.OpenJDK.Security.dll", PluginFileType.Assembly)]
  [PluginFile("IKVM.OpenJDK.Text.dll", PluginFileType.Assembly)]
  [PluginFile("IKVM.OpenJDK.Util.dll", PluginFileType.Assembly)]
  [PluginFile("IKVM.OpenJDK.XML.API.dll", PluginFileType.Assembly)]
  [PluginFile("IKVM.Runtime.dll", PluginFileType.Assembly)]
  [PluginFile("IKVM.Runtime.JNI.dll", PluginFileType.Assembly)]
  [PluginFile("JVM.dll", PluginFileType.NativeDll)]
  public class HeuristicLabMetalPlugin : PluginBase { }
}
